<?php $this->Extend('/Scaffolds/admin_form'); ?>
<?php

	echo $this->Form->addField('CompetitionEntry.id', array(
		'type' => 'hidden'
	));

	echo $this->Form->addField(
		'CompetitionEntry.sales_ref',
		array(
			'type' => 'string',
			'label' => __d('buzz_competitions', 'Sales Ref'),
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'CompetitionEntry.competition_id',
		array(
			'type' => 'select',
			'label' => __d('buzz_competitions', 'Competition'),
			'empty' => false,
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'CompetitionEntry.competition_entry_state_id',
		array(
			'type' => 'select',
			'label' => __d('buzz_competitions', 'Status'),
			'empty' => false,
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'CompetitionEntry.completed_date',
		array(
			'type' => 'date',
			'label' => __d('buzz_competitions', 'Completed Date'),
			'displayonly' => true
		)
	);
	echo $this->Form->addField(
		'CustomerAddress.full_name',
		array(
			'type' => 'string',
			'label' => __d('buzz_competitions', 'Customer'),
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'CustomerAddress.email',
		array(
			'type' => 'email',
			'label' => __d('buzz_competitions', 'Email Address')
		)
	);

	echo $this->Form->addField(
		'CustomerAddress.telephone',
		array(
			'type' => 'tel',
			'label' => __d('buzz_competitions', 'Telephone')
		)
	);

	echo $this->Form->addField(
		'CompetitionEntry.team_name',
		array(
			'type' => 'string',
			'label' => __d('buzz_competitions', 'Team name'),
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'CompetitionEntry.team_country_id',
		array(
			'type' => 'string',
			'label' => __d('buzz_competitions', 'Team country'),
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'CompetitionEntry.alternate_name',
		array(
			'type' => 'select',
			'label' => __d('buzz_competitions', 'Alternate name'),
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'CompetitionEntry.participants',
		array(
			'type' => 'string',
			'label' => __d('buzz_competitions', 'Team members'),
			'displayonly' => true
		)
	);
?>

<div class="field">
	<div class="field__label"><?php echo __d('buzz_competitions', 'Total Cost'); ?></div>
	<div class="field__value">
		<?php echo $this->Number->currency($this->request->data['CompetitionEntry']['total_cost']); ?>
	</div>
</div>
